#!/bin/bash

# setup, make sure install fio and e2fsprog tools first
if [ -z "$1" ];then
        echo 'Usage:ftest <dev_name>'
        exit 0
fi
echo "Create /rdsdbdata1/"
mkdir /rdsdbdata1/
mke2fs -m 1 -t ext4 -b 4096 -L /rdsdbdata /dev/$1 -J size=128
sleep 1
mount -t ext4 -o noatime,nodiratime,data=ordered /dev/$1 /rdsdbdata1

# test
#for i in `seq 1 10`; do
        rm -rf /rdsdbdata1/*
        /usr/bin/fio --name=16kb_rand_write_only_2048_jobs --directory=/rdsdbdata1 --rw=randwrite --ioengine=sync --buffered=1 --bs=16k --max-jobs=2048 --numjobs=2048 --runtime=30 --thread --filesize=28800000 --fsync=1 --group_reporting --create_only=1 > /dev/null
        sudo echo 1 > /proc/sys/vm/drop_caches
        echo "start test ${i}"
        /usr/bin/fio --name=16kb_rand_write_only_2048_jobs --directory=/rdsdbdata1 --rw=randwrite --ioengine=sync --buffered=1 --bs=16k --max-jobs=2048 --numjobs=2048 --runtime=60 --time_based --thread --filesize=28800000 --fsync=1 --group_reporting
#done

# cleanup
umount /rdsdbdata1
rm /rdsdbdata1/ -rf

